﻿@model GarageMaster.Models.Forum.TopicModels.TopicEditModel

@{
    ViewData["Title"] = "EditTopic";
}

<h1>EditTopic</h1>

<h4>TopicEditModel</h4>
<hr />
<div class="row">
    <form asp-action="EditTopic" method="post" enctype="multipart/form-data">
        <div class="col-md-4">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <input type="hidden" asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TopicTitle" class="control-label"></label>
                <input asp-for="TopicTitle" class="form-control" />
                <span asp-validation-for="TopicTitle" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group">
                <label asp-for="TopicContent" class="control-label"></label>
                <textarea asp-for="TopicContent" class="form-control" id="newDescription"></textarea>
                <span asp-validation-for="TopicContent" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Images" class="control-label"></label>
                <input asp-for="Images" type="file" multiple="multiple" accept="image/*" class="form-control" />
                <span asp-validation-for="Images" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="RemoveAllPhoto">
                <label class="form-check-label" asp-for="RemoveAllPhoto"></label>
                <span asp-validation-for="RemoveAllPhoto" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="IsLocked">
                <label class="form-check-label" asp-for="IsLocked"></label>
                <span asp-validation-for="IsLocked" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="hidden" asp-for="TopicCreationDate" class="form-control" />
                <span asp-validation-for="TopicCreationDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newDescription');
        });
    </script>
}